.logo {
    width: auto;
    height: 114px;
}

main {
    padding-block: calc(var(--spacing) * 20);
}

[data-block] {
    > h2 {
        font-size: 2.125rem;
    }

    > h2 + div {
        margin-top: calc(var(--spacing) * 8);
    }
}

main > .container > [data-block] {
    &:not(:first-of-type) {
        padding-top: calc(var(--spacing) * 16);
    }
    &:not(:last-of-type) {
        padding-bottom: calc(var(--spacing) * 16);
    }
}

.articles-wrapper {
    .articles {
        display: grid;
        grid-template-columns: repeat(3, 1fr);
        gap: calc(var(--spacing) * 8);
        margin-bottom: calc(var(--spacing) * 8);

        .article {
            position: relative;

            .article-header {
                display: flex;
                align-items: center;
                gap: calc(var(--spacing) * 2);
                padding: calc(var(--spacing) * 4) calc(var(--spacing) * 4) 0 calc(var(--spacing) * 4);

                > * {
                    font-size: .8rem;
                }

                .article-date {
                    color: var(--dark_gray);
                }

                .article-category {
                    color: var(--secondary);
                }
            }

            .article-image {
                img {
                    width: 100%;
                    height: 200px;
                    object-fit: cover;
                    border-radius: calc(var(--spacing) * 3);
                }
            }

            .article-body {
                padding: calc(var(--spacing) * 2) calc(var(--spacing) * 4) calc(var(--spacing) * 4) calc(var(--spacing) * 4);

                h3 {
                    margin-bottom: calc(var(--spacing) * 3);
                    text-transform: uppercase;
                }

                p {
                    margin-bottom: calc(var(--spacing) * 3);
                    color: var(--dark_gray);
                }

                a {
                    font-weight: 500;
                    color: var(--secondary);
                }
            }
        }
    }

    #more-articles {
        display: flex;
        justify-self: center;
    }
}

.contacts-wrapper {
    .contacts {
        display: grid;
        grid-template-columns: repeat(4, 1fr);
        gap: calc(var(--spacing) * 8);

        .contact {
            position: relative;
            border-radius: .75rem;
            width: auto;
            height: 320px;
            overflow: hidden;
        }

        .contact img {
            width: 100%;
            height: 100%;
            object-fit: cover;
            border-radius: .75rem;
            transition: all .3s;
            scale: 1;
        }

        .contact .contact__meta {
            padding: .5rem;
            border-bottom-left-radius: .75rem;
            border-bottom-right-radius: .75rem;
            background-color: rgba(0, 0, 0, .6);
            transform: translateY(100%);
            transition: all .3s;
            color: #fff;
        }
        .contact .contact__meta a {
            color: var(--primary);
        }

        .contact:hover img {
            scale: 1.1;
        }

        .contact:hover .contact__meta {
            transform: translateY(-100%);
            margin-top: 0;
        }
    }
}
